Detect IP Library Drives
Detects drives eligible for IP Library configuration based on the given library and media agents.
Path Parameters
- libraryId int64 required
ID of the Library
- application/json
Request Body required
mediaAgents object[] required
List of Media Agents required to detect drives for IP Library
id int32name string
Responses
- 200
- 400
- 403
- 500
IP Library drives detected successfully
- application/json
- Schema
- Example (from schema)
Schema
error object
errorMessage stringerrorCode int32driveInfoList object[]
List of detected IP Library drive details
Vendor stringDrive vendor name
Model stringDrive model name
FirmWare stringFirmware version
SerialNumber stringDrive serial number
ScsiAddress stringSCSI address of the drive
ScsiAccessPath stringSCSI access path
DriveId stringUnique drive identifier
DetectedMediaAgent stringMedia agent where the drive was detected
- driveIdList string[]
List of detected drive identifiers from ACSLS
{
"error": {
"errorMessage": "string",
"errorCode": 0
},
"driveInfoList": [
{
"Vendor": "string",
"Model": "string",
"FirmWare": "string",
"SerialNumber": "string",
"ScsiAddress": "string",
"ScsiAccessPath": "string",
"DriveId": "string",
"DetectedMediaAgent": "string"
}
],
"driveIdList": [
"string"
]
}
Bad Request
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Forbidden – user does not have the required permission to detect IP Library drives
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal server error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...